<?
 /*SCRIPT PARA MANTENIMIENTO DE EVALUACIONES */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_c();
  if(!$tipo_trn){
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

  switch($tipo_trn){
   case "Add":

    if(!@checkdate($txtdmes,$txtddia,$txtdyear) or !@checkdate($txthmes,$txthdia,$txthyear)){
      alert("Por favor verifique las fechas de activación","javascript:history.go(-1)");
    }

    $f_inicio=$txtdyear."-".$txtdmes."-".$txtddia;
    $f_fin=$txthyear."-".$txthmes."-".$txthdia;
    $h_inicio=$txtdhora.":".$txtdmin.":00";
    $h_fin=$txthhora.":".$txthmin.":00";
    if(!isset($txtactiva)){$txtactiva="N";}
    if(!isset($txtoculta)){$txtoculta="N";}
    if(!isset($txtinczona)){$txtinczona="N";}
    if(!isset($txtincexamen)){$txtincexamen="N";}

    if(strtotime("$f_fin $h_fin") < strtotime("$f_inicio $h_inicio")){
      alert("La fecha-hora de inicio no puede ser mayor que la fecha de cadudicad","javascript:history.go(-1)");
    }

    $idc=$_SESSION["curso_id"];
    $idse=$_SESSION["seccion_id"];
    $idund=$_SESSION["unidad_id"];
    $idg=$_SESSION["grado_id"];
    
    $qcurso=mysql_query("select curso from cursos where codigo = '$idc'");
    $icurso=mysql_fetch_array($qcurso);
    $ncurso=$icurso[curso];
    unset($icurso);
    unset($qcurso);

                $sql="insert into
                      evaluaciones
                      set nombre='$txtnombre',
                      instrucciones='$txtinstrucciones',
                      fecha_inicio='$f_inicio',
                      fecha_fin='$f_fin',
                      hora_inicio='$h_inicio',
                      hora_fin='$h_fin',
                      oportunidades='$txtoportunidades',
                      mostrar_resultados='$txtmostrarres',
                      resultados_nc='$txtverresultados',
                      tiempo_maximo='$txttiempomax',
                      activa='$txtactiva',
                      curso='$idc',
                      seccion='$idse',
                      grado='$idg',
                      valor_zona='$txtvzona',
                      valor_examen='$txtvexamen',
                      zona='$txtinczona',
                      examen='$txtincexamen',
                      oculta = '$txtoculta',
                      unidad='$idund',
                      usuario='$uuser'";

                 $ins=mysql_query($sql);
                 $id_ev=mysql_insert_id();
                 if($ins){
                   //alert("Evaluación: $txtnombre\\nCurso:      $ncurso\\n\\nagregada con éxito","frm_info_prg.php?ide=".enc($id_ev));}else{echo "ERROR: ".mysql_error();
                   //redireccionar("inicio.php?msg=".htmlspecialchars("Evaluación agregada!")."#evaluaciones");
                   redireccionar("index2.php?op=frm_info_prg&ide=".enc($id_ev));
                 }
   break;

   case "Update":
    $id_ev=dec($ide);

    if(!@checkdate($txtdmes,$txtddia,$txtdyear) or !@checkdate($txthmes,$txthdia,$txthyear)){
      alert("Por favor verifique las fechas de activación","javascript:history.go(-1)");
    }

    $qver=mysql_query("select * from evaluaciones where id = '$id_ev'");
    // verificar si tiene permiso para ese curso
    if(mysql_num_rows($qver)==0){
      alert("ERROR: La evaluación no existe","javascript:history.go(-1)");
    }
    $idc=$_SESSION["curso_id"];
    $idse=$_SESSION["seccion_id"];
    $idund=$_SESSION["unidad_id"];
    
    $midc=$idc;

    $qcurso=mysql_query("select curso from cursos where codigo = '$midc'");
    $icurso=mysql_fetch_array($qcurso);
    $ncurso=$icurso[curso];
    
    unset($icurso);
    unset($qcurso);

       $f_inicio=$txtdyear."-".$txtdmes."-".$txtddia;
       $f_fin=$txthyear."-".$txthmes."-".$txthdia;
       $h_inicio=$txtdhora.":".$txtdmin.":00";
       $h_fin=$txthhora.":".$txthmin.":00";

       if(strtotime("$f_fin $h_fin") < strtotime("$f_inicio $h_inicio")){
        alert("La fecha-hora de inicio no puede ser mayor que la fecha de cadudicad","javascript:history.go(-1)");
       }
       if(!isset($txtactiva)){$txtactiva="N";}
       if(!isset($txtoculta)){$txtoculta="N";}
       if(!isset($txtinczona)){$txtinczona="N";}
       if(!isset($txtincexamen)){$txtincexamen="N";}

                $sql="update
                      evaluaciones
                      set nombre='$txtnombre',
                      instrucciones='$txtinstrucciones',
                      fecha_inicio='$f_inicio',
                      fecha_fin='$f_fin',
                      hora_inicio='$h_inicio',
                      hora_fin='$h_fin',
                      oportunidades='$txtoportunidades',
                      mostrar_resultados='$txtmostrarres',
                      resultados_nc='$txtverresultados',
                      tiempo_maximo='$txttiempomax',
                      activa='$txtactiva',
                      curso='$midc',
                      valor_zona='$txtvzona',
                      valor_examen='$txtvexamen',
                      zona='$txtinczona',
                      examen='$txtincexamen',
                      unidad='$idund',
                      oculta = '$txtoculta',
                      usuario='$uuser'
                      where id = $id_ev";

                 $upd=mysql_query($sql);
                 if($upd){
                  //alert("Evaluación: $txtnombre\\nCurso: $ncurso\\n\\nactualizada con éxito","frm_info_prg.php?ide=".enc($id_ev));}else{echo "ERROR: ".mysql_error();
                  redireccionar("inicio.php?msg=".htmlspecialchars("Evaluación actualizada!")."#evaluaciones");
                 }
   break;
   
   case "Delete":
                 $id_e=dec($ide);
                 $del=runsql("delete from evaluaciones where id = '$id_e'");
                 redireccionar("inicio.php?msg=".htmlspecialchars("Evaluación eliminada!")."#evaluaciones");
                 exit();
   break;
   default:
    alert("Parmetros incorrectos","javascript:history.go(-1)");
  }
?>
